GET /api/v3/meter/{meterId}/template

Retrieves all bill entry templates assigned to a specific meter

GetMeterTemplatesV3 Permissions: Meters (View)
Use this endpoint to see which bill entry templates are assigned to a meter’s account-meter relationships, ordered by begin date descending. Templates define the expected bodyline structure for new bills.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId Unique numeric identifier of the meter integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterTemplateResponse
Property Description Type
account MeterAccountChild
MeterAccountChild properties
Property Description Type
accountCode The code of the MeterAccount for this MeterAccount meter string
accountGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode The general ledger code (e.g., GL account number) string
generalLedgerId The unique identifier of the general ledger entry. Null if no general ledger is assigned. integer (int32)
generalLedgerInfo The general ledger description/name string
accountId The MeterAccount identifier for this MeterAccount meter integer (int32)
accountInfo The info of the MeterAccount for this MeterAccount meter string
accountMeterId The MeterAccount meter identifier integer (int32)
active Indicates whether the Account is active or inactive boolean
dataAccessReleaseId The data access release identifier for this MeterAccount meter relationship, null if there is no release integer (int32)
endDate The ending date and time for this MeterAccount meter relationship string (date-time)
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
meterGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode The general ledger code (e.g., GL account number) string
generalLedgerId The unique identifier of the general ledger entry. Null if no general ledger is assigned. integer (int32)
generalLedgerInfo The general ledger description/name string
startDate The beginning date and time for this MeterAccount meter relationship string (date-time)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
beginDate The begin date for the template on the account meter string (date-time)
displayOrder The meter template display order integer (int32)
endDate The end date for the template on the account meter string (date-time)
formTemplateId The form template identifier integer (int32)
template TemplateChild
TemplateChild properties
Property Description Type
templateCode string
templateId integer (int32)
templateInfo string
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountGeneralLedger": {},      "accountId": 1,      "accountInfo": "string",      "accountMeterId": 1,      "active": false,      "dataAccessReleaseId": 1,      "endDate": "2026-06-29",      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "meterGeneralLedger": {},      "startDate": "2026-06-29",      "vendor": {},      "vendorType": {}
    },    "beginDate": "2026-06-29",    "displayOrder": 1,    "endDate": "2026-06-29",    "formTemplateId": 1,    "template": {      "templateCode": "string",      "templateId": 1,      "templateInfo": "string"
    }
  }
]
404 Not Found The requested resource was not found. Verify the ID or path is correct.